std::experimental::ranges::prev(3)

NAME
std::experimental::ranges::prev - std::experimental::ranges::prev

Synopsis
   Defined in header <experimental/ranges/iterator>
   namespace {
                        (ranges TS)
       constexpr /* unspecified */ prev = /* unspecified */; (customization point
                        object)
   }
   Call signature
   template< Iterator I > (1)
   constexpr I prev( I i );
   template< Iterator I > (2)
   constexpr I prev( I i, ranges::difference_type_t<I> n );
   template< Iterator I >
   constexpr I prev( I i, ranges::difference_type_t<I> n, I (3)
   bound );
   Decrements the iterator i n times, or until bound is reached, whichever comes first,
   and returns the decremented iterator.
   1) Equivalent to --i; return i;.
   2) Equivalent to ranges::advance(i, -n); return i;.
   3) Equivalent to ranges::advance(i, -n, bound); return i;.

Return value
   The decremented iterator.

Example
    This section is incomplete
    Reason: no example

See also
   prev decrement an iterator
   (C++11) (function template)
   advance advances an iterator by given distance
            (function template)
   next increment an iterator
            (function template)
            returns the distance between an iterator and a sentinel, or between the
   distance beginning and the end of a range
            (function template)

Category:
     * Todo no example